Subject: Re: Using git commit --amend on a commit with an empty message

From: Chris Webb <[email-masked]>
Date: Mon, 9 Jul 2012 19:17:55 +0100

Junio C Hamano <[email-masked]> writes:

> Yeah, it is a "bug" that exists only because nobody sane uses empty
> message commits, let alone tries to amend such commits, hence went
> unnoticed for a long time.

Quite. I only noticed it because this is the default behaviour of Github
gists and I wanted to replace the empty commit messages with more meaningful
ones.

> The patch looks sane; if we want to keep this as a feature or a
> bugfix, we may want to pretect it with a new test, though.

Yes, it's hardly something people will test often. Okay, I'll send a version
two with a suitable test.

Best wishes,

Chris.